(*  Title: 	HOL/Substitutions
    Author: 	Martin Coen, Cambridge University Computer Laboratory
    Copyright   1993  University of Cambridge

Substitutions and Unification in Higher-Order Logic. 

setplus      -  minor additions to HOL's set theory
alist        -  association lists
uterm        -  inductive data type of terms
utermlemmas  -  definition of occurs and vars_of for terms
subst        -  substitutions
unify        -  specification of unification and conditions for 
                correctness and termination

To load, go to the parent directory and type use"Substitutions/ROOT.ML";
*)

writeln"Root file for Substitutions and Unification";
cd "Subst";
use_thy "setplus";

use_thy "alist";
use_thy "uterm";
use_thy "utermlemmas";

use_thy "subst";
use_thy "unify";
cd "..";
writeln"END: Root file for Substitutions and Unification";
